### Method

# Ide Object insert_after

#### Declaration

    void
    ide_object_insert_after (
      IdeObject* self,
      IdeObject* sibling,
      IdeObject* child
    )

#### Description

Inserts `child` into `self`‘s children, directly after `sibling`.

`sibling` MUST BE a child of `self`.

Available since: | 3.32

#### Parameters

`sibling` | `IdeObject`
| An `IdeObject`.
| The data is owned by the caller of the function.
`child` | `IdeObject`
| An `IdeObject`.
| The data is owned by the caller of the function.